# RSL_get_sweep_index_from_volume

### Synopsis

#include "rsl.h"
int RSL_get_sweep_index_from_volume(Volume *v, float elev,int *next_closest);

###

Description

Return the index of the closest sweep. Also, returns the next closest sweep index. Use the index returned, if called i, in v->sweep[i].

### Return value

Upon successful completion, a valid index into the v->sweep[i] structure is returned. Otherwise, -1 is returned and *next_closest is undefined.

### See also

RSL_get_sweep, RSL_get_ray

Author: Dennis Flanigan Jr.